<template>
	<view class="zb">
		<!-- <video :media_url="media_url" controls></video> -->
		<!-- <swiper :current="ind" class="u-swiper__wrapper" vertical>
			<swiper-item class="u-swiper__wrapper__item" v-for="(item, index) in list" :key="index">
				 -->
		<view class="u-swiper__wrapper"><video object-fit='contain' :src="media_url" controls></video></view>
		<!-- </swiper-item>
		</swiper> -->
	</view>
</template>

<script>
export default {
	data() {
		return {
			ind: '',
			media_url: ''
			// list: []
		};
	},
	onPullDownRefresh() {
		setTimeout(res => {
			uni.stopPullDownRefresh();
		}, 1000);
	},
	async onLoad(opt) {
		this.media_url = JSON.parse(opt.media_url) || '';  
	},
	methods: {}
};
</script>

<style scoped lang="scss">
.zb {
	.u-swiper__wrapper {
		height: 100vh;
		video {
			height: 100vh;
			width: 100vw;
		}
	}
}
</style>
